package com.example.alumno;

import java.net.HttpURLConnection;
import java.net.URL;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends ActionBarActivity {
	int aula = 0;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		CambiarAula();

		Button boton;

		boton = (Button) findViewById(R.id.buttonA);

		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				CambiarAula();
				EnvioMensajeServidorPHP(aula, 0);
			}
		});

		boton = (Button) findViewById(R.id.buttonB);

		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				CambiarAula();
				EnvioMensajeServidorPHP(aula, 1);
			}
		});

		boton = (Button) findViewById(R.id.buttonC);

		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				CambiarAula();
				EnvioMensajeServidorPHP(aula, 2);
			}
		});

		boton = (Button) findViewById(R.id.buttonD);

		boton.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				CambiarAula();
				EnvioMensajeServidorPHP(aula, 3);
			}
		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			lanzarPreferencias(null);
			
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	void EnvioMensajeServidorPHP(int aula, int voto) {
		// String servidor = "http://158.42.53.29";
		String servidor = "http://www.milagros.hostinazo.com";

		try {
			URL url = new URL(servidor + "/votos/votar.php" + "?aula=" + aula
					+ "&voto=" + voto);

			HttpURLConnection conexion = (HttpURLConnection) url
					.openConnection();
			if (conexion.getResponseCode() != HttpURLConnection.HTTP_OK) {
				Log.e("Alumno ", conexion.getResponseMessage());
			}
			Log.e("voto", servidor + "/votos/votar.php" + "?aula=" + aula
					+ "&voto=" + voto);
		} catch (Exception e) {
			Log.e("Alumno", e.getMessage(), e);
		}

	}

	public void lanzarPreferencias(View view) {

		Intent i = new Intent(this, Preferencias.class);

		startActivity(i);

	}

	void CambiarAula() {
		SharedPreferences pref = getSharedPreferences(
				"com.example.alumno_preferences", Context.MODE_PRIVATE);

		String password = pref.getString("Password", "0");

		aula = Integer.parseInt(password);

		Log.e("Password", password);
	}
}
